/*(c) JippySnake7 Developmentteam.
 *
 *
 * This code is published unter GNU Public Licence v2.
 *
 *
 */
 class SnakeElement {
	private Coord pos;
	private int texture;
	
	private SnakeElement next;
	private SnakeElement prev;
	
	public SnakeElement(Coord pos, int text) {
		this.pos = pos;
		next = this;
		prev = this;
		texture = text;
	}
	//puts the new Element before eNext
	public SnakeElement(Coord pos, SnakeElement eNext, int text) {
		this.pos = pos;
		next = eNext;
		prev = next.prev;
		prev.next = this;
		next.prev = this;
		texture = text;
	}
	//puts new Element after ePrev
	public SnakeElement(Coord pos, int text, SnakeElement ePrev) {
		this.pos = pos;
		prev = ePrev;
		next = prev.next;
		prev.next = this;
		next.prev = this;
		texture = text;
	}
	
	public void setPos(Coord pos) {
		this.pos = pos;
	}
	
	public Coord getPos() {
		return pos;
	}
	
	public SnakeElement getNext() {
		return next;
	}
	
	public SnakeElement getPrev() {
		return prev;
	}
	
	public void setTexture(int text) {
		texture = text;
	}
	
	public int getTexture() {
		return texture;
	}
}